BEGIN tashiaj

IF ~Global("TrollComment","LOCALS",1)~ THEN BEGIN troll
  SAY ~Trolls! Ugh! This stench is hard to forget!~
    = ~Beware, <CHARNAME>, trolls are not easily killed... they regenerate quickly even while you fight them, and if you do manage to knock them down, only fire or acid can truly end their existence.~
  IF ~~ THEN REPLY ~Yeah, I knew that already.~ DO ~SetGlobal("TrollComment","LOCALS",2)~ GOTO trolla
  IF ~~ THEN REPLY ~Is there anything else I should know?~ DO ~SetGlobal("TrollComment","LOCALS",2)~ GOTO trollc
END

IF ~~ THEN BEGIN trolla
  SAY ~Yes... I apologize, but better sure than sorry.~
  IF ~~ THEN GOTO trollb
END

IF ~~ THEN BEGIN trollb
  SAY ~There is one more thing... All hold or sleep type spells won't work on trolls. I found out the hard way.~
  IF ~~ THEN GOTO trollc1
END

IF ~~ THEN BEGIN trollc
  SAY ~There is one more thing... All hold or sleep type spells won't work on trolls. I found out the hard way.~
  IF ~~ THEN GOTO trollc2
END

IF ~~ THEN BEGIN trollc1
  SAY ~But you probably knew that as well...~
  IF ~~ THEN REPLY ~No, I didn't know that. Thanks.~ GOTO trollca
  IF ~~ THEN REPLY ~Yeah, everyone knows that.~ GOTO trollcb
  IF ~~ THEN REPLY ~Ugh, let's just move on.~ GOTO trollcc
END

IF ~~ THEN BEGIN trollc2
  SAY ~Well, let me delay us no further.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN trollca
  SAY ~Sure thing. Let's move on.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN trollcb
  SAY ~Alright, well, let's move on.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN trollcc
  SAY ~Of course.~
  IF ~~ THEN EXIT
END

IF ~Global("PastPhaere","LOCALS",1)
Global("PhaereInnuendo","GLOBAL",3)~ THEN BEGIN ph1
  SAY ~What's the matter, <CHARNAME>? Drow women cannot please you? Perhaps you need a *real* elf, then? Hehe!~
  IF ~~ THEN DO ~SetGlobal("PastPhaere","LOCALS",2)~ EXIT
END

IF ~Global("PastPhaere","LOCALS",1)
Global("PhaereInnuendo","GLOBAL",2)~ THEN BEGIN ph2
  SAY ~Well, you've decided to wake up after all? That must have been some wild ride back there! I had trouble closing my eyes last night with all your screams...~
  IF ~~ THEN DO ~SetGlobal("PastPhaere","LOCALS",2)~ EXIT
END

IF ~Dead("TAJarmis")
Global("TashiaPlot","GLOBAL",3)~ THEN BEGIN 0 // from:
  SAY ~That... monster!! He... he actually sent his minions to... to kill me!! After all I've... ~ /* #74480 */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY ~Ugh!! And now you're involved in this too... I am truly sorry. That was not my intention at all.~ /* #74481 */
  IF ~~ THEN REPLY ~It is quite alright. Your problems are my problems.~ /* #74511 */ GOTO 2
  IF ~~ THEN REPLY ~Uhh, yeah. I think would be best if you left our group now. You have caused enough trouble.~ /* #74512 */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY ~Thank you for your kind words. I can't imagine what I would do without your help and understanding...~ /* #74482 */
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",4)~ /* #0 */EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY ~Yes... as you wish. I'm truly sorry. Please accept my apologies. Until we meet again, <CHARNAME>.~ /* #74483 */
  IF ~~ THEN DO ~SetGlobal("TashiaPlot","GLOBAL",4)
SetGlobal("TashiaRomanceActive","GLOBAL",3)
LeaveParty()
SetGlobal("KickedOut","LOCALS",1)
MoveGlobal("AR2010","Tashia",[702.542])~ /* #1 */EXIT
END

IF ~AreaCheck("AR2100")
    Global("GnomeTalk","LOCALS",1)~ THEN BEGIN 4 // from:
  SAY ~You know what the greatest advice ever given to me was?~ /* #74484 */
  IF ~~ THEN REPLY ~What?~ /* #21655 */ DO ~SetGlobal("GnomeTalk","LOCALS",2)~ /* #2 */GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY ~It's not *what* you do that matters, it's *how* you do it.~ /* #74485 */
  IF ~~ THEN REPLY ~Yes, I've heard it before. But why do you bring it up now?~ /* #74513 */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY ~Well, correct me if I'm wrong, but we are headed to dispatch some *cough* obscenely tough gnomes, to bring their helmet to the drow, yes?~ /* #74486 */
  IF ~~ THEN REPLY ~Oh yes, very tough indeed. *shiver*~ /* #74514 */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY ~Well, it seems to me that it would be completely unnecessary to get our knees crushed by their mighty giant-sized svirfneblin hammers, had we gotten the helmet peacefully.~ /* #74487 */
  IF ~~ THEN REPLY ~Ingenious. What do you have in mind?~ /* #74515 */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY ~Well, evidently we happen to look like drow right now, and svirfneblin gnomes seem to fear drow, and try to avoid conflicts with them, if at all possible.~ /* #74488 */
  IF ~~ THEN REPLY ~Fascinating. What are you getting at?~ /* #74516 */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY ~It appears that the only thing standing between us and a peaceful tea party with the fearsome 'nomes is Solaufein, who also happens to be disliking the task, which we can use to our advantage and let him go.~ /* #74489 */
  IF ~~ THEN REPLY ~Ouch, but without Solaufein we are surely in peril!~ /* #74517 */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY ~Yes, but I have a 'master plan', see. Perhaps then we can simply ask them to give us their helmet, and let them go? We would be... (cough) sparing them the completely tiresome workout they would get by slaughtering us all, yes?~ /* #74490 */
  IF ~~ THEN REPLY ~Astounding. Have you experienced any other odd symptoms as of late? I am getting the feeling that the drow illusion is having some sort of a prolonged exposure effect on you.~ /* #74518 */ GOTO 11
  IF ~~ THEN REPLY ~I see you've been taking lessons from Jan? I doubt even he could take longer trying to say 'let's send Solaufein away and ask the gnomes to give us the helmet'.~ /* #74519 */ GOTO 12
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY ~You're something, <CHARNAME>. I was merely trying to jester the party, as if you couldn't tell.~ /* #74491 */
  IF ~InParty("Jan")
IsValidForPartyDialog("Jan")~ THEN REPLY ~Yes, I am sure that is the real explanation. Uhm... let's get moving.~ /* #74520 */ GOTO 14
  IF ~OR(2)
!InParty("Jan")
!IsValidForPartyDialog("Jan")~ THEN REPLY ~Yes, I am sure that is the real explanation. Uhm... let's get moving.~ /* #74521 */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 10.1
  SAY ~Well, thank you kindly. Why, this reminds me of that time waaaay back...~ /* #74492 */
  IF ~InParty("Jan")
IsValidForPartyDialog("Jan")~ THEN REPLY ~Ugh! Let's just get this task over with, please.~ /* #74522 */ GOTO 14
  IF ~OR(2)
!InParty("Jan")
!IsValidForPartyDialog("Jan")~ THEN REPLY ~Ugh! Let's just get this task over with, please.~ /* #74523 */ GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 11.1 12.1
  SAY ~Yes... we would not want to miss our tea party, would we.~ /* #74493 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 11.0 12.0
  SAY ~(Psst. How was that, Jan?)~ /* #74494 */
  IF ~~ THEN EXTERN JANJ 185j
END

IF ~Global("TashiaRevelation","GLOBAL",1)~ THEN BEGIN 21 // from:
  SAY ~Without Gorion's death you would never become an adventurer...~ =
  ~...The Sword Coast would pay dearly for your absence...~ =
  ~...Sarevok would pursue his war of sacrifice, gaining relentless power and dominance all across eastern Faerun...~ =
  ~...The Sword Coast would be flowing red with blood...~ =
  ~...Bhaal would be reborn...~ = ~...Your home, Candlekeep, would be among the first to fall...~ =
  ~...Gorion would not be murdered by Sarevok, but slain by his mercenaries...~ =
  ~...Your history would end there, lying motionless beside him.~ /* #74501 */
  IF ~~ THEN DO ~SetGlobal("TashiaRevelation","GLOBAL",5)
  StartCutSceneMode()~ /* #3 */EXIT
END

IF ~Global("TashiaRevelation","GLOBAL",2)~ THEN BEGIN 22 // from:
  SAY ~With your enemies gone, your destiny would yet remain...~ =
  ~...Your path to it, however, would be changed...~ =
  ~...You would not be prepared, unable to conquer what the future brings...~ =
  ~...You would not be able to control the evil resonating within from consuming you, as you would not have a firm reason to reluctantly push forward as you do now...~ =
  ~...Your taint would then thirst for bloodshed, and you would become like Sarevok...~ =
  ~...You would succeed where he had failed...~ =
  ~...The prophecy would be fulfilled, and the God of Murder would be born anew...~ =
  ~...Your body its vessel.~ /* #74502 */
  IF ~~ THEN DO ~SetGlobal("TashiaRevelation","GLOBAL",5)
  StartCutSceneMode()~ /* #4 */EXIT
END

IF ~Global("TashiaRevelation","GLOBAL",3)~ THEN BEGIN 23 // from:
  SAY ~With your friends gone, you would be facing unimaginable odds both physically and mentally...~ =
  ~...Each morning you would wake up alone and forgotten, sometimes regretting the past for hours at an end...~ =
  ~...imagining what may have been, had past events gone differently...~ =
  ~...You would find your life pointless, vague, and void...~ =
  ~...The evil within your head would whisper to you most deviously, defiling your untainted soul under your very nose, while at the same time clouding your perception, masking the changes...~ =
  ~...There would be no friend around to warn you of what is happening to you...~ =
  ~...You would give in...~ =
  ~...You would become The Slayer, Avatar of Bhaal...~ =
  ~...You would remain as such until the end of days, bringing murder and carnage to everyone around you...~ =
  ~...No friends. Just foes.~ /* #74503 */
  IF ~~ THEN DO ~SetGlobal("TashiaRevelation","GLOBAL",5)
  StartCutSceneMode()~ /* #5 */EXIT
END

IF ~Global("TashiaRevelation","GLOBAL",4)~ THEN BEGIN 24 // from:
  SAY ~With every great power comes greater temptation...~ =
  ~...You would no longer need your friends, for your power would be yours and yours alone...~ =
  ~...Soon, they would become a hindrance, a weakness reminding you of the past to be rid of...~ =
  ~...You would do so without hesitation and remorse...~ =
  ~...Feelings bring weakness, and weakness has no place in great powers...~ =
  ~...You would fear nothing, feel nothing, care about nothing...~ =
  ~...You would defeat Irenicus easily, claiming his power and knowledge as your own...~ =
  ~...You would become him, for you already would be just like him...~ =
  ~...You would not stop there...~ =
  ~...Your taint is a source of tremendous power, power that you would want to wield...~ =
  ~...You would succeed...~ =
  ~...The dead god would not be reborn, but he would not need to be...~ =
  ~...His equal would already be defiling the earth.~ /* #74504 */
  IF ~~ THEN DO ~SetGlobal("TashiaRevelation","GLOBAL",5)
  StartCutSceneMode()~ /* #6 */EXIT
END

IF ~Global("TashiaRevelation","GLOBAL",5)~ THEN BEGIN 25 // from:
  SAY ~...back in the young days, during the short northern summers, when we were just teenagers in Ten Towns... We used to build makeshift rafts from fallen trees during the day, then sail out to the middle of the lake at nightfall. Then we would just lie there, gazing at stars for hours at an end... Wishing... Wishing for new adventures and treasure... Wishing to become valiant knights and powerful wizards...~ =
  ~Ahh, it was so quiet and peaceful out there... I almost forgot how much I miss those silent, entrancing nights...~ =
  ~Are you alright? You looked a little pale there for a moment.~ /* #74505 */
  IF ~~ THEN REPLY ~What the nine hells was that!?~ /* #74524 */ DO ~SetGlobal("TashiaRevelation","GLOBAL",6)~ /* #7 */GOTO 29
  IF ~~ THEN REPLY ~Tashia... is there something you wish to tell me?~ /* #74525 */ DO ~SetGlobal("TashiaRevelation","GLOBAL",6)~ /* #8 */GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.1
  SAY ~Like what?~ /* #74506 */
  IF ~~ THEN REPLY ~Like... what was that!?~ /* #74526 */ GOTO 29
  IF ~~ THEN REPLY ~You... What just happened?~ /* #74526 */ GOTO 29
END

IF ~~ THEN BEGIN 27 // from: 29.0
  SAY ~Uhh... You just stopped there, so we stopped too. I thought you looked a little odd there for a moment, but it passed... Why? What happened?~ /* #74507 */
  IF ~~ THEN REPLY ~I just saw you turn into a lich and give me a prophecy about what could have happened had my life been different...~ /* #74527 */ GOTO 30
  IF ~~ THEN REPLY ~I see... Nevermind, I'm fine. Let's go.~ /* #74528 */ GOTO 28
END

IF ~~ THEN BEGIN 28 // from: 27.1 30.0
  SAY ~If you say so.~ /* #74508 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 29 // from: 25.0 26.0
  SAY ~What? Where?~ /* #74509 */
  IF ~~ THEN REPLY ~Right here. What just happened?~ /* #74529 */ GOTO 27
END

IF ~~ THEN BEGIN 30 // from: 27.0
  SAY ~Ha ha <CHARNAME>! Me? A lich? I think you ought to rest soon. Your jests are getting rather odd.~ /* #74510 */
  IF ~~ THEN REPLY ~But... perhaps... Nevermind. Let's go. I'm fine now.~ /* #74530 */ GOTO 28
END

IF ~True()~ THEN BEGIN 31
  SAY ~<GABBER>? What can I do for you?~
  IF ~!HPLT(Myself,50)~ THEN REPLY ~Are you alright?~ GOTO 32a
  IF ~HPLT(Myself,50)
      !HPLT(Myself,30)~ THEN REPLY ~Are you alright?~ GOTO 32b
  IF ~HPLT(Myself,30)
      !HPLT(Myself,10)~ THEN REPLY ~Are you alright?~ GOTO 32c
  IF ~HPLT(Myself,10)~ THEN REPLY ~Are you alright?~ GOTO 32d
  IF ~~ THEN REPLY ~You look odd, Tashia.~ GOTO odd
  IF ~!HPLT(Myself,50)
      Global("Riddle","LOCALS",0)~ THEN REPLY ~Do you, perhaps, know of anything we can do to pass the time?~ DO ~SetGlobal("Riddle","LOCALS",1)~ GOTO 33
  IF ~!HPLT(Myself,50)
      !Global("Riddle","LOCALS",0)
      GlobalLT("Riddle","LOCALS",42)~ THEN REPLY ~Do you know of any more riddles?~ DO ~IncrementGlobal("Riddle","LOCALS",1)~ GOTO riddle
  IF ~!Global("LoveTalk","LOCALS",1)~ THEN REPLY ~Oh, nothing. Don't mind me.~ EXIT
  IF ~Global("LoveTalk","LOCALS",1)~ THEN REPLY ~Nothing. Don't mind me.~ DO ~RealSetGlobalTimer("TashiaRomance","GLOBAL",10)~ EXIT
END

IF ~~ THEN BEGIN odd
  SAY ~I'll take that as a compliment.~
  IF ~~ THEN DO ~StartCutScene("tfix")~ EXIT
END

IF ~~ THEN BEGIN 32a
  SAY ~I'm feeling fine... Why, is something wrong?~
  IF ~~ THEN REPLY ~Oh, no, nevermind.~ EXIT
END

IF ~~ THEN BEGIN 32b
  SAY ~Ughhh... well, I seem to be... for now. A heal could be useful, though...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 32c
  SAY ~*gasp* Ahhh.. the pain... Please, <GABBER>, help me with my wounds!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 32d
  SAY ~*groan* I'm fine... really. While you're here, <GABBER>, would you mind passing me my right leg? It's over there on the ground behind you...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 33
  SAY ~Well, I could ask you a riddle or two if you're seriously that bored...~
  IF ~~ THEN REPLY ~No, nevermind.~ EXIT
  IF ~~ THEN REPLY ~Sounds interesting. Ask away.~ GOTO riddle
END

IF ~~ THEN BEGIN riddle
  SAY ~Hmm... Let me think...~
  IF ~Global("Riddle","LOCALS",1)~ THEN DO ~SetGlobal("Riddle","LOCALS",2)~ GOTO r1
  IF ~Global("Riddle","LOCALS",2)~ THEN GOTO r2
  IF ~Global("Riddle","LOCALS",3)~ THEN GOTO r3
  IF ~Global("Riddle","LOCALS",4)~ THEN GOTO r4
  IF ~Global("Riddle","LOCALS",5)~ THEN GOTO r5
  IF ~Global("Riddle","LOCALS",6)~ THEN GOTO r6
  IF ~Global("Riddle","LOCALS",7)~ THEN GOTO r7
  IF ~Global("Riddle","LOCALS",8)~ THEN GOTO r8
  IF ~Global("Riddle","LOCALS",9)~ THEN GOTO r9
  IF ~Global("Riddle","LOCALS",10)~ THEN GOTO r10
  IF ~Global("Riddle","LOCALS",11)~ THEN GOTO r11
  IF ~Global("Riddle","LOCALS",12)~ THEN GOTO r12
  IF ~Global("Riddle","LOCALS",13)~ THEN GOTO r13
  IF ~Global("Riddle","LOCALS",14)~ THEN GOTO r14
  IF ~Global("Riddle","LOCALS",15)~ THEN GOTO r15
  IF ~Global("Riddle","LOCALS",16)~ THEN GOTO r16
  IF ~Global("Riddle","LOCALS",17)~ THEN GOTO r17
  IF ~Global("Riddle","LOCALS",18)~ THEN GOTO r18
  IF ~Global("Riddle","LOCALS",19)~ THEN GOTO r19
  IF ~Global("Riddle","LOCALS",20)~ THEN GOTO r20
  IF ~Global("Riddle","LOCALS",21)~ THEN GOTO r21
  IF ~Global("Riddle","LOCALS",22)~ THEN GOTO r22
  IF ~Global("Riddle","LOCALS",23)~ THEN GOTO r23
  IF ~Global("Riddle","LOCALS",24)~ THEN GOTO r24
  IF ~Global("Riddle","LOCALS",25)~ THEN GOTO r25
  IF ~Global("Riddle","LOCALS",26)~ THEN GOTO r26
  IF ~Global("Riddle","LOCALS",27)~ THEN GOTO r27
  IF ~Global("Riddle","LOCALS",28)~ THEN GOTO r28
  IF ~Global("Riddle","LOCALS",29)~ THEN GOTO r29
  IF ~Global("Riddle","LOCALS",30)~ THEN GOTO r30
  IF ~Global("Riddle","LOCALS",31)~ THEN GOTO r31
  IF ~Global("Riddle","LOCALS",32)~ THEN GOTO r32
  IF ~Global("Riddle","LOCALS",33)~ THEN GOTO r33
  IF ~Global("Riddle","LOCALS",34)~ THEN GOTO r34
  IF ~Global("Riddle","LOCALS",35)~ THEN GOTO r35
  IF ~Global("Riddle","LOCALS",36)~ THEN GOTO r36
  IF ~Global("Riddle","LOCALS",37)~ THEN GOTO r37
  IF ~Global("Riddle","LOCALS",38)~ THEN GOTO r38
  IF ~Global("Riddle","LOCALS",39)~ THEN GOTO r39
  IF ~Global("Riddle","LOCALS",40)~ THEN GOTO r40
  IF ~Global("Riddle","LOCALS",41)~ THEN GOTO rend
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r1
  SAY ~Here's a classic...~ = ~What is greater than God, more evil then the Devil? The rich need it, the poor have it. If you eat it, you'll die. What is it?~
  IF ~~ THEN REPLY ~Water~ GOTO r1b
  IF ~~ THEN REPLY ~Food~ GOTO r1b
  IF ~~ THEN REPLY ~Power~ GOTO r1b
  IF ~~ THEN REPLY ~Love~ GOTO r1b
  IF ~~ THEN REPLY ~Nothing~ GOTO r1a
END

IF ~~ THEN BEGIN r1a
  SAY ~Yup. You got it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r1b
  SAY ~Oh come on now! This riddle is such a classic! The answer was 'nothing'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r2
  SAY ~This should be rather easy...~ = ~My Creator doesn't want me. My buyer doesn't need me. My user doesn't see me. What am I?~
  IF ~~ THEN REPLY ~Nose~ GOTO r2b
  IF ~~ THEN REPLY ~Coffin~ GOTO r2a
  IF ~~ THEN REPLY ~Future~ GOTO r2b
  IF ~~ THEN REPLY ~Earth~ GOTO r2b
  IF ~~ THEN REPLY ~A present~ GOTO r2b
END

IF ~~ THEN BEGIN r2a
  SAY ~Yup. That's it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r2b
  SAY ~Hehe, nope. The correct answer was a 'coffin'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r3
  SAY ~At night they come without being fetched, and by day they are lost without being stolen. What are they?~
  IF ~~ THEN REPLY ~Night clubs~ GOTO r3b
  IF ~~ THEN REPLY ~Monsters~ GOTO r3b
  IF ~~ THEN REPLY ~Ghosts~ GOTO r3c
  IF ~~ THEN REPLY ~Scary noises~ GOTO r3b
  IF ~~ THEN REPLY ~Stars~ GOTO r3a
END

IF ~~ THEN BEGIN r3a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r3b
  SAY ~Oh get real! 'Stars' was the correct answer.~
  IF ~~ THEN REPLY ~That's what *you* think... I know better!~ EXIT
END

IF ~~ THEN BEGIN r3c
  SAY ~Ghosts? Stars!~
  IF ~~ THEN REPLY ~But ghosts also come at night and disappear by the day!~ GOTO r3c1
END

IF ~~ THEN BEGIN r3c1
  SAY ~Maybe, but not all ghosts disappear during the day, while all the stars do.~
  IF ~~ THEN REPLY ~Oh sure... you and your rigged riddles...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r4
  SAY ~This one is tricky...~ = ~I never was; I am always to be; no one ever saw me, nor ever will; and yet I confidence sustain of all who live and breathe on prime material plane. What am I?~
  IF ~~ THEN REPLY ~Death~ GOTO r4b
  IF ~~ THEN REPLY ~Future~ GOTO r4c
  IF ~~ THEN REPLY ~Tomorrow~ GOTO r4a
  IF ~~ THEN REPLY ~Life~ GOTO r4b
  IF ~~ THEN REPLY ~Greed~ GOTO r4b
END

IF ~~ THEN BEGIN r4a
  SAY ~Good guess!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r4b
  SAY ~See, it's tricky, like I said... The common answer was 'tomorrow'.~
  IF ~~ THEN REPLY ~Cheap riddle...~ EXIT
END

IF ~~ THEN BEGIN r4c
  SAY ~Future is another answer, I suppose. The solution to that riddle that was taught to me was 'tomorrow', but 'future' also fits.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r5
  SAY ~The beginning of eternity, the end of time and space, the beginning of every end, and the end of every place. What is it?~
  IF ~~ THEN REPLY ~Nothing~ GOTO r5b
  IF ~~ THEN REPLY ~Death~ GOTO r5c
  IF ~~ THEN REPLY ~Hell~ GOTO r5b
  IF ~~ THEN REPLY ~Balance~ GOTO r5b
  IF ~~ THEN REPLY ~Letter E~ GOTO r5a
END

IF ~~ THEN BEGIN r5a
  SAY ~Hehe, you saw right through that one! Smart of you.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r5b
  SAY ~Not even close. The answer to this riddle was not a word, but a letter. Letter 'E'.~
  IF ~~ THEN REPLY ~What? That was the cheapest riddle I've ever heard. I demand a second opinion!~ EXIT
END

IF ~~ THEN BEGIN r5c
  SAY ~Death ends one's life, but not time, space, or other places. The correct answer was not a word, but a letter. Letter 'E'.~
  IF ~~ THEN REPLY ~What? That was the cheapest riddle I've ever heard. I demand a second opinion!~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r6
  SAY ~There was a green house. Inside the green house there was a white house. Inside the white house there was a red house. Inside the red house there were lots of babies. What was it?~
  IF ~~ THEN REPLY ~Watermelon~ GOTO r6a
  IF ~~ THEN REPLY ~Ooo... Babies? Let's have one of our own!~ GOTO r6c
  IF ~~ THEN REPLY ~Platemail armor dyed green with a pregnant female knight inside.~ GOTO r6e
  IF ~~ THEN REPLY ~I give up.~ GOTO r6b
  IF ~~ THEN REPLY ~I'm hungry...~ GOTO r6d
END

IF ~~ THEN BEGIN r6a
  SAY ~Confusing, but obvious, isn't it?~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r6b
  SAY ~No, it's just a 'watermelon'. Not very common around these parts, I suppose...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r6c
  SAY ~Hum. One step at a time, <GABBER>. I'll make that step away from you for now...~ = ~The answer was a 'watermelon', by the way. It's not very common around these parts, I suppose...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r6d
  SAY ~That's because the answer was a 'watermelon'. Not very common around these parts, but very delicious.~ = ~Hmm, ok now I'm hungry too...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r6e
  SAY ~Ha ha! Close enough, I guess. The answer was much simpler though. It was a 'watermelon'.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r7
  SAY ~They can trickle down, They can tickle too. Or make you sneeze, Or comfort you. Their rustling sound, you've rarely heard, Unless you're a pillow or a bird! What are they?~
  IF ~~ THEN REPLY ~Grass~ GOTO r7b
  IF ~~ THEN REPLY ~Feathers~ GOTO r7a
  IF ~~ THEN REPLY ~Dreams~ GOTO r7b
  IF ~~ THEN REPLY ~Ghosts~ GOTO r7b
  IF ~~ THEN REPLY ~Hair~ GOTO r7b
END

IF ~~ THEN BEGIN r7a
  SAY ~You got it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r7b
  SAY ~Nope! The correct answer was 'feathers'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r8
  SAY ~What do you call a man with no arms and no legs in the middle of a road?~
  IF ~~ THEN REPLY ~Ouch. A wizard's experiment gone horribly wrong.~ GOTO r8b
  IF ~~ THEN REPLY ~Lucky to be alive?~ GOTO r8b
  IF ~~ THEN REPLY ~I'd say... Toasty!~ GOTO r8b
  IF ~~ THEN REPLY ~Very much dead!~ GOTO r8a
  IF ~~ THEN REPLY ~Pretty much screwed.~ GOTO r8b
END

IF ~~ THEN BEGIN r8a
  SAY ~Hehe... yeah.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r8b
  SAY ~Hehe... yeah, that could be one answer. I'd just say 'dead' though.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r9
  SAY ~What occurs once in a minute, twice in a moment, but never in an hour?~
  IF ~~ THEN REPLY ~Nothing~ GOTO r9b
  IF ~~ THEN REPLY ~A severely backfired Timestop spell~ GOTO r9b
  IF ~~ THEN REPLY ~Letter M~ GOTO r9a
  IF ~~ THEN REPLY ~Letter N~ GOTO r9b
  IF ~~ THEN REPLY ~A romance conversation~ GOTO r9b
END

IF ~~ THEN BEGIN r9a
  SAY ~Yup, you saw right through that one as well.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r9b
  SAY ~Hehe, nope, letter 'M'.~
  IF ~~ THEN REPLY ~Oh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r10
  SAY ~Give it food and it will live; give it water and it will die. What is it?~
  IF ~~ THEN REPLY ~Plant~ GOTO r10b
  IF ~~ THEN REPLY ~Mutated gibberling~ GOTO r10b
  IF ~~ THEN REPLY ~Something out of this plane~ GOTO r10b
  IF ~~ THEN REPLY ~Letter F~ GOTO r10b
  IF ~~ THEN REPLY ~Fire~ GOTO r10a
END

IF ~~ THEN BEGIN r10a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r10b
  SAY ~Nope! It's 'fire'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r11
  SAY ~Many white ponies on a red hill, Always moving, but standing still.  What are we?~
  IF ~~ THEN REPLY ~Horses~ GOTO r11b
  IF ~~ THEN REPLY ~Teeth~ GOTO r11a
  IF ~~ THEN REPLY ~Waves~ GOTO r11b
  IF ~~ THEN REPLY ~Clouds~ GOTO r11b
  IF ~~ THEN REPLY ~Eyes~ GOTO r11b
END

IF ~~ THEN BEGIN r11a
  SAY ~Pretty simple, huh.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r11b
  SAY ~Nah. 'Teeth' was the right answer.~
  IF ~~ THEN REPLY ~White teeth? What trickery is that? Mine have been yellow since birth!~ GOTO r11b1
  IF ~~ THEN REPLY ~Ah, right.~ EXIT
END

IF ~~ THEN BEGIN r11b1
  SAY ~Eww... Let's not talk about that right now.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r12
  SAY ~I'm in rock, not in stone, I'm in marrow, not in bone, I'm in bolster, not in bed, I'm not living, I'm not dead. What am I?~
  IF ~~ THEN REPLY ~Undead~ GOTO r12b
  IF ~~ THEN REPLY ~Strength~ GOTO r12b
  IF ~~ THEN REPLY ~Power~ GOTO r12b
  IF ~~ THEN REPLY ~Water~ GOTO r12b
  IF ~~ THEN REPLY ~Letter R~ GOTO r12a
END

IF ~~ THEN BEGIN r12a
  SAY ~You must find these letter riddles too obvious, huh. You are correct, of course.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r12b
  SAY ~Nope. Letter 'R'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r13
  SAY ~I have a 100 legs but cannot stand. A long neck but no head; and I eat the maid's life. What am I?~
  IF ~~ THEN REPLY ~Broom~ GOTO r13a
  IF ~~ THEN REPLY ~Time~ GOTO r13b
  IF ~~ THEN REPLY ~Fortune~ GOTO r13b
  IF ~~ THEN REPLY ~Table~ GOTO r13b
  IF ~~ THEN REPLY ~Chimney~ GOTO r13b
END

IF ~~ THEN BEGIN r13a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r13b
  SAY ~What? 'Broom'!~
  IF ~~ THEN REPLY ~Oh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r14
  SAY ~What gets wetter the more it dries?~
  IF ~~ THEN REPLY ~Sponge~ GOTO r14c
  IF ~~ THEN REPLY ~Paper~ GOTO r14c
  IF ~~ THEN REPLY ~Towel~ GOTO r14a
  IF ~~ THEN REPLY ~Wind~ GOTO r14b
  IF ~~ THEN REPLY ~Sun~ GOTO r14b
END

IF ~~ THEN BEGIN r14a
  SAY ~Yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r14b
  SAY ~Get real. It's a 'towel'!~
  IF ~~ THEN REPLY ~Pfft...~ EXIT
END

IF ~~ THEN BEGIN r14c
  SAY ~Why would you use that to dry yourself? Wouldn't a towel be more appropriate?~
  IF ~~ THEN REPLY ~A towel? Who dries themselves with a towel?~ GOTO r14c1
END

IF ~~ THEN BEGIN r14c1
  SAY ~Uh-hmm...~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r15
  SAY ~The more there is the less you see. What is it?~
  IF ~~ THEN REPLY ~Water~ GOTO r15b
  IF ~~ THEN REPLY ~Sun~ GOTO r15b
  IF ~~ THEN REPLY ~Darkness~ GOTO r15a
  IF ~~ THEN REPLY ~Light~ GOTO r15b
  IF ~~ THEN REPLY ~Hair~ GOTO r15b
END

IF ~~ THEN BEGIN r15a
  SAY ~Yup. That one was too simple, wasn't it...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r15b
  SAY ~Oh come on now. The correct answer was 'darkness'.~
  IF ~~ THEN REPLY ~Blah!~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r16
  SAY ~It is Dark, and always on the run. Without the sun, it would be gone. What is it?~
  IF ~~ THEN REPLY ~Thief~ GOTO r16b
  IF ~~ THEN REPLY ~Assassin~ GOTO r16b
  IF ~~ THEN REPLY ~Light~ GOTO r16b
  IF ~~ THEN REPLY ~Death~ GOTO r16b
  IF ~~ THEN REPLY ~Shadow~ GOTO r16a
END

IF ~~ THEN BEGIN r16a
  SAY ~Simple, I know.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r16b
  SAY ~It's so simple! 'Shadow'!~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r17
  SAY ~The more you take the more you leave behind. What are they?~
  IF ~~ THEN REPLY ~Time~ GOTO r17b
  IF ~~ THEN REPLY ~Footsteps~ GOTO r17a
  IF ~~ THEN REPLY ~Clues~ GOTO r17b
  IF ~~ THEN REPLY ~Impressions~ GOTO r17b
  IF ~~ THEN REPLY ~Gold~ GOTO r17b
END

IF ~~ THEN BEGIN r17a
  SAY ~That's right!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r17b
  SAY ~'Footsteps'!~
  IF ~~ THEN REPLY ~Oh!~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r18
  SAY ~Light as a feather, there is nothing in it; the strongest man can't hold it for much more than a minute?~
  IF ~~ THEN REPLY ~Pillow~ GOTO r18b
  IF ~~ THEN REPLY ~Air~ GOTO r18b
  IF ~~ THEN REPLY ~Honor~ GOTO r18b
  IF ~~ THEN REPLY ~Breath~ GOTO r18a
  IF ~~ THEN REPLY ~Burning candle~ GOTO r18b
END

IF ~~ THEN BEGIN r18a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r18b
  SAY ~Nope, 'breath'.~
  IF ~~ THEN REPLY ~Oh yeah. I knew that.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r19
  SAY ~As I walked along the path I saw something with four fingers and one thumb, but it was not flesh, fish, bone or fowl. What did I see?~
  IF ~~ THEN REPLY ~Gauntlet~ GOTO r19a
  IF ~~ THEN REPLY ~Glove~ GOTO r19a
  IF ~~ THEN REPLY ~Severed hand~ GOTO r19c
  IF ~~ THEN REPLY ~Shadow~ GOTO r19b
  IF ~~ THEN REPLY ~Glyph~ GOTO r19b
END

IF ~~ THEN BEGIN r19a
  SAY ~Glove, gauntlet, it's all the same.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r19b
  SAY ~Nah. It was a 'glove'.~
  IF ~~ THEN REPLY ~Of course.~ EXIT
END

IF ~~ THEN BEGIN r19c
  SAY ~I said not flesh! A 'glove' was the correct answer.~
  IF ~~ THEN REPLY ~Of course.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r20
  SAY ~Use me well and I am everybody, scratch my back and I am nobody. What am I?~
  IF ~~ THEN REPLY ~Sword~ GOTO r20b
  IF ~~ THEN REPLY ~Leather~ GOTO r20b
  IF ~~ THEN REPLY ~Mask~ GOTO r20b
  IF ~~ THEN REPLY ~Nothing~ GOTO r20b
  IF ~~ THEN REPLY ~Mirror~ GOTO r20a
END

IF ~~ THEN BEGIN r20a
  SAY ~Yeah, you guessed it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r20b
  SAY ~No, a 'mirror'.~
  IF ~~ THEN REPLY ~I knew that. Really.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r21
  SAY ~Yellow and white. Hard outside. Stolen from life. What am I?~
  IF ~~ THEN REPLY ~Egg~ GOTO r21a
  IF ~~ THEN REPLY ~Baby~ GOTO r21b
  IF ~~ THEN REPLY ~Sun~ GOTO r21b
  IF ~~ THEN REPLY ~Flower~ GOTO r21b
  IF ~~ THEN REPLY ~Sand~ GOTO r21b
END

IF ~~ THEN BEGIN r21a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r21b
  SAY ~Nope, it was just an 'egg'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r22
  SAY ~You use a knife to slice my head, and weep beside me when I am dead. What am I?~
  IF ~~ THEN REPLY ~My next victim!~ GOTO r22b
  IF ~~ THEN REPLY ~Tree~ GOTO r22b
  IF ~~ THEN REPLY ~Grass~ GOTO r22b
  IF ~~ THEN REPLY ~Onion~ GOTO r22a
  IF ~~ THEN REPLY ~Fruit~ GOTO r22b
END

IF ~~ THEN BEGIN r22a
  SAY ~You got it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r22b
  SAY ~Nope, an 'onion'.~
  IF ~~ THEN REPLY ~Oh yeah...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r23
  SAY ~I went into the woods and got it. I sat down to seek it. I brought it home with me because I couldn't find it. What is it?~
  IF ~~ THEN REPLY ~Shadow~ GOTO r23b
  IF ~~ THEN REPLY ~Light~ GOTO r23b
  IF ~~ THEN REPLY ~Leaf~ GOTO r23b
  IF ~~ THEN REPLY ~Berries~ GOTO r23b
  IF ~~ THEN REPLY ~Splinter~ GOTO r23a
END

IF ~~ THEN BEGIN r23a
  SAY ~Yup!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r23b
  SAY ~It was a tricky one. The correct answer is a 'splinter'.~
  IF ~~ THEN REPLY ~Right...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r24
  SAY ~What can fill a room, yet takes up no space?~
  IF ~~ THEN REPLY ~Air~ GOTO r24b
  IF ~~ THEN REPLY ~Darkness~ GOTO r24c
  IF ~~ THEN REPLY ~Light~ GOTO r24a
  IF ~~ THEN REPLY ~Water~ GOTO r24b
  IF ~~ THEN REPLY ~Ghost~ GOTO r24b
END

IF ~~ THEN BEGIN r24a
  SAY ~Mhmm.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r24b
  SAY ~Nay, it's 'light' that can do that.~
  IF ~~ THEN REPLY ~Ah.~ EXIT
END

IF ~~ THEN BEGIN r24c
  SAY ~Actually the opposite. 'Light'. Darkness is merely a lack of light. Though you can say that the room is filled with darkness, saying that it lacks any light would be more correct.~
  IF ~~ THEN REPLY ~Alright, Mrs. Smartyrobe. If you say so.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r25
  SAY ~It is weightless, you can see it and if you put it in a barrel it will make the barrel lighter. What is it?~
  IF ~~ THEN REPLY ~Air~ GOTO r25b
  IF ~~ THEN REPLY ~Magic~ GOTO r25b
  IF ~~ THEN REPLY ~Hole~ GOTO r25a
  IF ~~ THEN REPLY ~Nothing~ GOTO r25b
  IF ~~ THEN REPLY ~Feathers~ GOTO r25b
END

IF ~~ THEN BEGIN r25a
  SAY ~A-yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r25b
  SAY ~Nah, it's simple. 'Hole' is the right answer.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r26
  SAY ~No sooner spoken than broken. What is it?~
  IF ~~ THEN REPLY ~Spell~ GOTO r26b
  IF ~~ THEN REPLY ~Silence~ GOTO r26a
  IF ~~ THEN REPLY ~Secret~ GOTO r26c
  IF ~~ THEN REPLY ~Ward~ GOTO r26b
  IF ~~ THEN REPLY ~Nothing~ GOTO r26b
END

IF ~~ THEN BEGIN r26a
  SAY ~And yet another riddle answered correctly... Aren't you tired yet?~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r26b
  SAY ~No, it's 'silence'.~
  IF ~~ THEN REPLY ~I see.~ EXIT
END

IF ~~ THEN BEGIN r26c
  SAY ~But what if you said a secret out loud in the middle of the woods when noone heard you? It wouldn't be broken, would it? 'Silence' on the other hand, would be.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r27
  SAY ~I have two heads but only one body, the more still I stand the faster I run. What am I?~
  IF ~~ THEN REPLY ~Ettin~ GOTO r27b
  IF ~~ THEN REPLY ~Mutated gibberling~ GOTO r27b
  IF ~~ THEN REPLY ~River~ GOTO r27b
  IF ~~ THEN REPLY ~Time~ GOTO r27b
  IF ~~ THEN REPLY ~Hourglass~ GOTO r27a
END

IF ~~ THEN BEGIN r27a
  SAY ~I see you're familiar with this riddle. You're correct.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r27b
  SAY ~Nah. 'Hourglass' is the correct answer.~
  IF ~~ THEN REPLY ~Sheesh, who would have guessed *that*?~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r28
  SAY ~What do you call a part of the bird that's not in the sky; who can swim in the ocean and yet remain dry?~
  IF ~~ THEN REPLY ~Feather~ GOTO r28b
  IF ~~ THEN REPLY ~Corpse~ GOTO r28b
  IF ~~ THEN REPLY ~Fish~ GOTO r28b
  IF ~~ THEN REPLY ~Shadow~ GOTO r28a
  IF ~~ THEN REPLY ~Water~ GOTO r28b
END

IF ~~ THEN BEGIN r28a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r28b
  SAY ~Think about it. What's always a part of you, yet doesn't consist of anything? A 'shadow'!~
  IF ~~ THEN REPLY ~Pfft, I knew that...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r29
  SAY ~The rich men want it, the wise men know it, the poor all need it, and the kind men show it.~
  IF ~~ THEN REPLY ~Wisdom~ GOTO r29b
  IF ~~ THEN REPLY ~Intelligence~ GOTO r29b
  IF ~~ THEN REPLY ~Love~ GOTO r29a
  IF ~~ THEN REPLY ~Hate~ GOTO r29b
  IF ~~ THEN REPLY ~Money~ GOTO r29b
END

IF ~~ THEN BEGIN r29a
  SAY ~Yes... We can all use some more of that, can't we...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r29b
  SAY ~Nay. The correct answer is the most basic of all feelings, my friend. 'Love'.~
  IF ~~ THEN REPLY ~Oh. I see.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r30
  SAY ~I am both Mother and Father. I am seldom still, yet I never wander. I never give birth, nor nurse my offspring. What am I?~
  IF ~~ THEN REPLY ~One mean mother!~ GOTO r30b
  IF ~~ THEN REPLY ~Tree~ GOTO r30a
  IF ~~ THEN REPLY ~Shemale~ GOTO r30b
  IF ~~ THEN REPLY ~Someone very confused about their identity~ GOTO r30b
  IF ~~ THEN REPLY ~Cloud~ GOTO r30b
END

IF ~~ THEN BEGIN r30a
  SAY ~Indeed.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r30b
  SAY ~You're incorrect. 'Tree' is the right response.~
  IF ~~ THEN REPLY ~Of course. I knew that. Someone has to make sure *you* know too...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r31
  SAY ~Born Motherless and Fatherless, Into this world without a sin. I made a load roar as I entered, and never spoke again. What am I?~
  IF ~~ THEN REPLY ~Light~ GOTO r31b
  IF ~~ THEN REPLY ~Lightning~ GOTO r31a
  IF ~~ THEN REPLY ~Mute orphant~ GOTO r31b
  IF ~~ THEN REPLY ~Reckless dweomer~ GOTO r31b
  IF ~~ THEN REPLY ~No idea~ GOTO r31b
END

IF ~~ THEN BEGIN r31a
  SAY ~Yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r31b
  SAY ~The correct answer was 'lightning'. Think about it!~
  IF ~~ THEN REPLY ~Obviously. Hmph.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r32
  SAY ~Pronounced as one letter, yet written with three; two letters there are, and two only in me. I'm double, I'm single, I'm black blue and grey; I'm read from both ends, and the same either way. What word is it?~
  IF ~~ THEN REPLY ~Aye~ GOTO r32b
  IF ~~ THEN REPLY ~Arg~ GOTO r32b
  IF ~~ THEN REPLY ~Eye~ GOTO r32a
  IF ~~ THEN REPLY ~Wee~ GOTO r32b
  IF ~~ THEN REPLY ~Pee~ GOTO r32b
END

IF ~~ THEN BEGIN r32a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r32b
  SAY ~Nope. 'Eye' is the word I was talking about.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r33
  SAY ~Here is another classic...~ = ~A barrel of rainwater weights twenty pounds. What must you add to make it weight fifteen?~
  IF ~~ THEN REPLY ~Holes~ GOTO r33a
  IF ~~ THEN REPLY ~Less water~ GOTO r33b
  IF ~~ THEN REPLY ~Air~ GOTO r33b
  IF ~~ THEN REPLY ~Spell~ GOTO r33b
  IF ~~ THEN REPLY ~Abi's Horrid Wilting~ GOTO r33b
END

IF ~~ THEN BEGIN r33a
  SAY ~Yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r33b
  SAY ~Oh get real. 'Holes' is what you must add.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r34
  SAY ~A shimmering field that reaches far. Yet it has no tracks, and is crossed without paths. What is it?~
  IF ~~ THEN REPLY ~Sky~ GOTO r34b
  IF ~~ THEN REPLY ~Imagination~ GOTO r34b
  IF ~~ THEN REPLY ~Trap~ GOTO r34b
  IF ~~ THEN REPLY ~Sea~ GOTO r34a
  IF ~~ THEN REPLY ~Love~ GOTO r34b
END

IF ~~ THEN BEGIN r34a
  SAY ~You got it.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r34b
  SAY ~Nah. It's the 'sea'!~
  IF ~~ THEN REPLY ~Oh.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r35
  SAY ~A strange earthen house, that brings naught but disdain. And yet those who stay there, never do complain. What is it?~
  IF ~~ THEN REPLY ~Playhouse beneath the Five Flagons Inn~ GOTO r35b
  IF ~~ THEN REPLY ~Grave~ GOTO r35a
  IF ~~ THEN REPLY ~Prison~ GOTO r35b
  IF ~~ THEN REPLY ~Asylum~ GOTO r35b
  IF ~~ THEN REPLY ~No idea~ GOTO r35b
END

IF ~~ THEN BEGIN r35a
  SAY ~Correct!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r35b
  SAY ~Nope, it's a 'grave'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r36
  SAY ~All about the house, with his Lady he dances. Yet he always works, and never romances. Who is the lady?~
  IF ~~ THEN REPLY ~You!~ GOTO r36b
  IF ~~ THEN REPLY ~Some Noblewoman~ GOTO r36b
  IF ~~ THEN REPLY ~Bottle of ale~ GOTO r36b
  IF ~~ THEN REPLY ~Shovel~ GOTO r36b
  IF ~~ THEN REPLY ~Broom~ GOTO r36a
END

IF ~~ THEN BEGIN r36a
  SAY ~You're right.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r36b
  SAY ~No, a 'broom'.~
  IF ~~ THEN REPLY ~Ahh...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r37
  SAY ~Although lower than a fence, and thinner than a rail, it can still be used to hold a horse; Hooves, mane and tail. What is it?~
  IF ~~ THEN REPLY ~A sexy she-pony~ GOTO r37c
  IF ~~ THEN REPLY ~Hold spell~ GOTO r37b
  IF ~~ THEN REPLY ~Fear~ GOTO r37b
  IF ~~ THEN REPLY ~Tree~ GOTO r37b
  IF ~~ THEN REPLY ~Stake~ GOTO r37a
END

IF ~~ THEN BEGIN r37a
  SAY ~Sure is.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r37b
  SAY ~Naw. 'Stake'.~
  IF ~~ THEN REPLY ~Oh, I see.~ EXIT
END

IF ~~ THEN BEGIN r37c
  SAY ~Ha ha! No, just a 'stake'.~
  IF ~~ THEN EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r38
  SAY ~An untiring servant it is, carrying loads across muddy earth. But one thing that cannot be forced, is a return to the place of its birth.~
  IF ~~ THEN REPLY ~Air~ GOTO r38b
  IF ~~ THEN REPLY ~Cloud~ GOTO r38b
  IF ~~ THEN REPLY ~River~ GOTO r38a
  IF ~~ THEN REPLY ~Sand~ GOTO r38b
  IF ~~ THEN REPLY ~Wind~ GOTO r38c
END

IF ~~ THEN BEGIN r38a
  SAY ~Yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r38b
  SAY ~Nah, it's a 'river'.~
  IF ~~ THEN REPLY ~Oh...~ EXIT
END

IF ~~ THEN BEGIN r38c
  SAY ~Nah, it's a 'river'.~
  IF ~~ THEN REPLY ~But wind can carry loads across the earth too, and it can't be forced either.~ GOTO r38c1
END

IF ~~ THEN BEGIN r38c1
  SAY ~True, but the earth underneath the wind wouldn't be muddy, would it. It would dry off from the wind.~
  IF ~~ THEN REPLY ~Bah... Sure, use that as an excuse...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r39
  SAY ~Answers its caller without being asked. Responds within seconds, and speaks all languages with equal ease. What is it?~
  IF ~~ THEN REPLY ~Familiar~ GOTO r39b
  IF ~~ THEN REPLY ~Thought~ GOTO r39b
  IF ~~ THEN REPLY ~God~ GOTO r39b
  IF ~~ THEN REPLY ~Echo~ GOTO r39a
  IF ~~ THEN REPLY ~Music~ GOTO r39b
END

IF ~~ THEN BEGIN r39a
  SAY ~Yeah. Simple, I know...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r39b
  SAY ~Nope, it's 'echo'.~
  IF ~~ THEN REPLY ~Ah.~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN r40
  SAY ~Black when bought. Red when used. Grey when thrown away.~
  IF ~~ THEN REPLY ~Oil~ GOTO r40b
  IF ~~ THEN REPLY ~Coal~ GOTO r40a
  IF ~~ THEN REPLY ~Shadow~ GOTO r40b
  IF ~~ THEN REPLY ~Fire~ GOTO r40b
  IF ~~ THEN REPLY ~Adamantium~ GOTO r40b
END

IF ~~ THEN BEGIN r40a
  SAY ~Yup.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN r40b
  SAY ~Nope, it's just 'coal'.~
  IF ~~ THEN REPLY ~Who would have thought...~ EXIT
END

//---------------------------------------------------------------------

IF ~~ THEN BEGIN rend
  SAY ~I'm sorry, <GABBER>, but I really can't think of anymore riddles... If I do, I will let you know.~
  IF ~~ THEN EXIT
END

APPEND JANJ
  IF ~~ THEN BEGIN 185j
     SAY ~(Well, not bad for a beginner, though you might want to include a turnip reference or two in the future. Why, this reminds me of that time Uncle Scratchy...)~
     IF ~~ THEN EXTERN tashiaj 15
  END
END

APPEND tashiaj
IF ~~ THEN BEGIN 15 // from:
  SAY ~(Jan?)~ /* #74495 */
  IF ~~ THEN EXTERN JANJ 186j
END
END

APPEND JANJ
  IF ~~ THEN BEGIN 186j
     SAY ~(Yes Tashy?)~
     IF ~~ THEN EXTERN tashiaj 16
  END
END

APPEND tashiaj
IF ~~ THEN BEGIN 16 // from:
  SAY ~(Some other time please.)~ /* #74496 */
  IF ~~ THEN EXTERN JANJ 187j
END
END

APPEND JANJ
  IF ~~ THEN BEGIN 187j
     SAY ~(Oh, I see how it is. You make him listen to your story, but refuse to listen to mine? Fine then. Hmph.)~
     IF ~~ THEN EXTERN tashiaj 17
  END
END

APPEND tashiaj
IF ~~ THEN BEGIN 17 // from:
  SAY ~Humm. So are we going or what?~ /* #74497 */
  IF ~~ THEN EXIT
END
END
